OA、CRM、报销和财务系统作为公司最常用的工具,实现流程化规范管理不再是梦想!

SHA2提示!Windows 7或2008 R2上安装 vSpace Pro时出现 Windows 错误消息。“Windows 无法验证此驱动程序软件的发布者”。

浏览: 作者:Windows 7 SP1 和 Windows Server 2008 来源:Windows 无法验证此驱动程序软件的发布者 时间:2023-12-11 分类:KB-Windows OS及其他
我们当前的 vSpace Pro 安装程序提供 SHA 2 证书,以满足 Windows Server 2016、2019 和 Windows 10 等Windows 操作系统的安装要求。但是,在较旧的操作系统(如 Windows 7 或 2008 R2)上安装 vSpace Pro 时,您可能会遇到此警告。

本页内容

Windows 7 SP1 和 Windows Server 2008 R2 SP1

Windows Server 2008 SP2


我们当前的 vSpace Pro 安装程序提供 SHA 2 证书,以满足 Windows Server 2016、2019 和 Windows 10 等Windows 操作系统的安装要求。


但是,在较旧的操作系统(如 Windows 7 或 2008 R2)上安装 vSpace Pro 时,您可能会遇到此警告。

Windows 无法验证此驱动程序软件的发布者10001


该警告可能是由于较旧的操作系统而触发的,默认情况下使用 SHA1 证书运行,但不使用 SHA-2。

另一个因素是,在 2020 年 1 月,SHA1签名证书将结束其保质期,不再有效。


从 vSpace Pro 11.3.7 LTS 及更高版本开始,根据行业趋势,ncomputing 已迁移到在 vSpace Pro 中仅使用 SHA2 安全证书。如果您使用 Windows 7 或 Windows Server 2008 R2,并且未将 SHA2 安全证书修补程序应用于操作系统,您将无法安装 vSpace Pro 11.3.7 LTS,并且在安装过程中将收到以下警告消息:

Windows 无法验证此驱动程序软件的发布者10002


下面请找到 Microsoft 的建议,即在 Windows 7 和 Windows Server 2008 R2 中应用相应的补丁以支持 SHA2 安全证书:


以下是Microsoft关于此事的详细信息:


Windows 7 SP1 和 Windows Server 2008 R2 SP1

在安装2019年8月13日或更高版本发布的任何更新之前,必须安装以下必需的更新,然后重新启动设备。所需的更新可以按任何顺序安装,并且不需要重新安装,除非有所需更新的新版本。


  • 服务堆栈更新(KB4490628)。如果使用 Windows 更新,将自动为你提供所需的 SSU。

  • SHA-2 更新 (KB4474419) 于2019 年10月2日发布。如果您使用 Windows 更新,则将自动为您提供所需的 SHA-2更新。


Windows Server 2008 SP2

在安装 2019年9月10日或更高版本发布的任何汇总之前,必须安装以下更新,然后重新启动设备。所需的更新可以按任何顺序安装,并且不需要重新安装,除非有所需更新的新版本。


  • 服务堆栈更新 (SSU)(KB4493730)。如果使用 Windows 更新,将自动为你提供所需的 SSU 更新。

  • 最新的 SHA-2 更新 (KB4474419) 于2019年9月10日发布。如果您使用 Windows 更新,则将自动为您提供所需的 SHA-2更新。